% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/check_alignment_params.R
\name{check_alignment_params}
\alias{check_alignment_params}
\title{Checks if the argument is a valid alignment parameters structure,
as created by \link{create_alignment_params}.
Will \link{stop} if not.}
\usage{
check_alignment_params(alignment_params)
}
\arguments{
\item{alignment_params}{parameters to simulate an alignment,
as can be created by \link{create_alignment_params}}
}
\value{
nothing. Will \link{stop} if not
}
\description{
Checks if the argument is a valid alignment parameters structure,
as created by \link{create_alignment_params}.
Will \link{stop} if not.
}
\examples{
# Check cleanup by other functions
beastier::check_empty_beaustier_folders()

check_alignment_params(create_test_alignment_params())

# Cleanup
beastier::remove_beaustier_folders()
beastier::check_empty_beaustier_folders()
}
\author{
Richèl J.C. Bilderbeek
}
